summaryrefslogtreecommitdiffstats
path: root/libraries/physfs
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 19:45:23 +0200
committer Robby Workman2010-05-11 19:45:23 +0200
commite0fcf56ed82e2cc3fb2aa00dc9236c16919ee451 (patch)
tree606d53665d3cd1c773897d9dae38b372d390bac9 /libraries/physfs
parent10256649689d37ab7933a0f1c4874e41ffe154d4 (diff)
downloadslackbuilds-e0fcf56ed82e2cc3fb2aa00dc9236c16919ee451.tar.gz
libraries/physfs: Updated for version 1.1.1
Diffstat (limited to 'libraries/physfs')
-rw-r--r--libraries/physfs/physfs.SlackBuild23
-rw-r--r--libraries/physfs/physfs.info8
-rw-r--r--libraries/physfs/slack-desc14
3 files changed, 28 insertions, 17 deletions
diff --git a/libraries/physfs/physfs.SlackBuild b/libraries/physfs/physfs.SlackBuild
index 890fa95fb3..c5e4a4ec8f 100644
--- a/libraries/physfs/physfs.SlackBuild
+++ b/libraries/physfs/physfs.SlackBuild
@@ -2,13 +2,15 @@
# Slackware build script for physfs
# Written by Erik Hanson erik@slackbuilds.org
+# Modified for version 1.1.1 by Heinz Wiesinger <hmwiesinger@gmx.at>
PRGNAM=physfs
-VERSION=1.0.1
+VERSION=1.1.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -28,23 +30,22 @@ cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGELOG CREDITS LICENSE TODO docs/README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.txt CREDITS.txt INSTALL.txt LICENSE.txt TODO.txt \
+ lzma/LZMA-LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/physfs/physfs.info b/libraries/physfs/physfs.info
index 7545d9654d..de576c28c1 100644
--- a/libraries/physfs/physfs.info
+++ b/libraries/physfs/physfs.info
@@ -1,8 +1,8 @@
PRGNAM="physfs"
-VERSION="1.0.1"
+VERSION="1.1.1"
HOMEPAGE="http://icculus.org/physfs/"
-DOWNLOAD="http://icculus.org/physfs/downloads/physfs-1.0.1.tar.gz"
-MD5SUM="d0bd118c6b55fb1e020fe982d6ec6957"
+DOWNLOAD="http://icculus.org/physfs/downloads/physfs-1.1.1.tar.gz"
+MD5SUM="0359b67793c1c14f00de1d1bbeb8ed6a"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="elohim,robw810"
+APPROVED="rworkman"
diff --git a/libraries/physfs/slack-desc b/libraries/physfs/slack-desc
index 928351a25e..bcf3ba19b8 100644
--- a/libraries/physfs/slack-desc
+++ b/libraries/physfs/slack-desc
@@ -1,5 +1,13 @@
-physfs: PhysicsFS - a library to provide abstract access to various archives.
-physfs:
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+physfs: PhysicsFS (library to provide abstract access to various archives)
+physfs:
physfs: It is intended for use in video games, and the design was somewhat
physfs: inspired by Quake 3's file subsystem.
physfs:
@@ -7,3 +15,5 @@ physfs: Homepage: http://icculus.org/physfs/
physfs:
physfs:
physfs:
+physfs:
+physfs: